Bug 1170797 - remove tomcat6 dependency on redhat-lsb (and any other unnecessary ones)
Summary: remove tomcat6 dependency on redhat-lsb (and any other unnecessary ones)
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tomcat
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Coty Sutherland
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-04 21:43 UTC by Rahul Sundaram
Modified: 2016-11-13 15:16 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-12 19:46:55 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2014-12-04 21:43:13 UTC
Description of problem:

tomcat in EPEL is pulling in redhat-lsb which has a ton of dependencies including X11 libraries, cups etc.  On a minimal server, Tomcat alone pulls in like 140 packages. can we cull it down?

Comment 1 Coty Sutherland 2016-08-17 20:05:04 UTC
This was addressed in RHEL tomcat6 as of https://bugzilla.redhat.com/show_bug.cgi?id=782400. It looks like it was removed from Fedora, but then added back to satisfy a CentOS dependency. I tried the change from that bug (depending on /lib/lsb/init-functions instead of redhat-lsb), and saw a noticeable drop in the number of packages to be installed:

Transaction summary from tomcat epel6:
# yum install tomcat-*
....
Install     124 Package(s)
Upgrade      14 Package(s)

Total download size: 191 M

After updating lsb dep:
# cd /tmp; yum localinstall tomcat-*
....
Install      77 Package(s)
Upgrade      12 Package(s)

Total size: 172 M
Total download size: 112 M

It still tries to install cups-libs and a few other things that I don't think are necessary. It turns out that this is because tomcat uses the full java package, which has dependencies on all sorts of GUI things that aren't needed by tomcat. Unfortunately I can't update the dependency from java to java-headless because the only headless package available in RHEL6 is java 8 and I'd rather not force users to use java8 for tomcat. Even if I did depend on the java-headless package from java8, it only shaves off about 7 packages and 6M of space because some other dependency (I didn't trace down which) has a dependency on java-1.5.0-gcj, for whatever reason.

Anyway, I think removing redhat-lsb is definitely worth it; I'll update the lsb dependency as soon as I can. If you have any feedback on my findings, please let me know.

Comment 3 Fedora Update System 2016-10-25 00:19:41 UTC
tomcat-7.0.72-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a886ace670

Comment 4 Fedora Update System 2016-11-12 19:46:55 UTC
tomcat-7.0.72-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-11-13 15:16:16 UTC
tomcat-7.0.72-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.